Skip to main content
POST
/
open_enrollment_windows
/
{public_id}
/
complete
cURL
curl --request POST \
  --url https://sandbox.withclasp.com/open_enrollment_windows/{public_id}/complete \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.withclasp.com/open_enrollment_windows/{public_id}/complete"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.withclasp.com/open_enrollment_windows/{public_id}/complete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "employer": "<string>",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "renewal_date": "2023-12-25",
  "completed_at": "2023-11-07T05:31:56Z",
  "completed_member_count": 123,
  "incomplete_member_count": 123,
  "summaries": [
    {}
  ],
  "plans": [
    "<string>"
  ],
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Path Parameters

public_id
string
required

Response

200 - application/json
id
string
required
read-only
Pattern: ^[-a-zA-Z0-9_]+$
employer
string
required
start_date
string<date>
required
end_date
string<date>
required
renewal_date
string<date>
required
read-only
status
enum<string>
required
  • setup_required - Setup Required
  • build_in_progress - Build In Progress
  • active - Active
  • closed - Closed
  • completed - Completed
Available options:
setup_required,
build_in_progress,
active,
closed,
completed
completed_at
string<date-time> | null
required
read-only
completed_member_count
integer
read-only
incomplete_member_count
integer
read-only
summaries
object[] | null
read-only
plans
string[]
enrollment_type
enum<string>
  • active - Active
  • passive - Passive
Available options:
active,
passive
metadata
object

Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.